use core::system::System;
use core::Clock;
use simplelog::*;
use std::fs::File;
use std::thread::sleep;
use std::time::Duration;
use uitlk::UIWindow;

const ROM_PATH: &'static str = "./roms/dk.nes";

fn main() {
    CombinedLogger::init(vec![
        TermLogger::new(
            LevelFilter::Info,
            Config::default(),
            TerminalMode::Mixed,
            ColorChoice::Auto,
        ),
        WriteLogger::new(
            LevelFilter::Debug,
            Config::default(),
            File::create("./logs/latest.log").unwrap(),
        ),
    ])
    .unwrap();

    let mut window = UIWindow::new("NesRust", 800, 600, 60);

    // let mut system = System::new();
    // system.insert_rom(ROM_PATH).expect("Failed to insert ROM");
    loop {
        // system.cycle();
        if window.poll_events() {
            break;
        }

        // TODO: System loop

        window.render();
        window.wait();
    }
}
